Bug 198885 - Review Request: perl-POE-Component-Client-HTTP
Review Request: perl-POE-Component-Client-HTTP
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jason Tibbitts
Fedora Package Reviews List
:
Depends On: 198884
Blocks: FE-ACCEPT
  Show dependency treegraph
 
Reported: 2006-07-14 08:27 EDT by Chris Weyl
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-07-28 00:01:09 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Chris Weyl 2006-07-14 08:27:57 EDT
Spec URL: http://home.comcast.net/~ckweyl/perl-POE-Component-Client-HTTP.spec
SRPM URL:
http://home.comcast.net/~ckweyl/perl-POE-Component-Client-HTTP-0.76-0.fc5.src.rpm

Description: 
POE::Component::Client::HTTP is an HTTP user-agent for POE. It lets other
sessions run while HTTP transactions are being processed, and it lets several
HTTP transactions be processed in parallel.
Comment 2 Jason Tibbitts 2006-07-26 22:49:23 EDT
This failed to build for me, due to errors in the %check section.  I replaced it
with:

pushd t
rm 01* 02* 09* 11* 50* 54*
popd
make test

and everything built fine.

Note that 0.77 is out (actually came out before your submission, I think), and I
can't fetch 0.76 from cpan to compare.  I don't see anything of issue with this
package, but it's probably best if I review the current version.  (Unless you're
staying away from 0.77 for some reason.)
Comment 3 Paul Howarth 2006-07-27 03:31:49 EDT
(In reply to comment #2)
> Note that 0.77 is out (actually came out before your submission, I think), and I
> can't fetch 0.76 from cpan to compare.

If you run:
$ spectool --gf perl-POE-Component-Client-HTTP.spec

several times, you should eventually get a redirect to a CPAN mirror that has
it, such as http://cpan.mirror.anlx.net/

Comment 4 Chris Weyl 2006-07-27 11:17:43 EDT
Updated to 0.77...  Fixed the issues in %check; now using the same
_with_network_tests scheme as perl-POE-Component-IRC.

Spec URL: http://home.comcast.net/~ckweyl/perl-POE-Component-Client-HTTP.spec
SRPM URL:
http://home.comcast.net/~ckweyl/perl-POE-Component-Client-HTTP-0.77-1.fc5.src.rpm
Comment 5 Jason Tibbitts 2006-07-27 20:09:22 EDT
I did try via spectool to fetch the 0.76 source about ten times but never
succeeded in hitting a mirror that had it.  Now that this package is updated to
0.77 there are no worries.

Anyway, this builds, installs and checks out fine.


* source files match upstream:
   bca2c306d8c63535845b760883a13644  POE-Component-Client-HTTP-0.77.tar.gz
* package meets naming and packaging guidelines.
* specfile is properly named, is cleanly written and uses macros consistently.
* dist tag is present.
* build root is correct.
 license field matches the actual license.
* license is open source-compatible.  License text not included upstream.
* latest version is being packaged.
* BuildRequires are proper (BR: perl is redundant).
* %clean is present.
* package builds in mock (development, x86_64).
* noarch package; no debuginfo.
* rpmlint is silent.
* final provides and requires are sane:
   perl(POE::Component::Client::HTTP) = 0.77
   perl(POE::Component::Client::HTTP::Request)
   perl(POE::Component::Client::HTTP::RequestFactory) = 0.01
   perl(POE::Filter::HTTPChunk)
   perl(POE::Filter::HTTPHead) = 0.01
   perl(POE::Filter::HTTPHead_Line)
   perl-POE-Component-Client-HTTP = 0.77-1.fc6
  =
   perl(:MODULE_COMPAT_5.8.8)
   perl(Carp)
   perl(HTTP::Response)
   perl(HTTP::Status)
   perl(POE)
   perl(POE::Component::Client::HTTP)
   perl(POE::Component::Client::HTTP::Request)
   perl(POE::Component::Client::HTTP::RequestFactory)
   perl(POE::Filter::Line)
   perl(base)
   perl(bytes)
   perl(strict)
   perl(vars)
   perl(warnings)
* %check is present and all tests pass:
   All tests successful.
   Files=12, Tests=76,  5 wallclock secs ( 2.12 cusr +  0.66 csys =  2.78 CPU)
* no shared libraries are present.
* package is not relocatable.
* owns the directories it creates.
* doesn't own any directories it shouldn't.
* no duplicates in %files.
* file permissions are appropriate.
* no scriptlets present.
* code, not content.
* documentation is small, so no -docs subpackage is necessary.
* %docs are not necessary for the proper functioning of the package.
* no headers.
* no pkgconfig files.
* no libtool .la droppings.
* not a GUI app.

APPROVED
Comment 6 Chris Weyl 2006-07-28 00:01:09 EDT
+Import to CVS
+Add to owners.list
+Bump release, build for devel
+devel build succeeds
+Request branching (FC-5)
+Close bug

Thanks for the review!

Note You need to log in before you can comment on or make changes to this bug.